@mixin app-demographics-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);

  .demographics {
    margin-top: 25px !important;
    display: flex;
    flex-direction: column;
    padding: 5px;
    background-color: mat-color($primary, 50);

    .demographics-main-card {
      display: flex;
      flex-direction: column;
      padding: 0px;
      background-color: mat-color($primary, 50);

      .mat-card-header {
        width: 100%;

        .header-banner {
          display: flex;
          background-color: white;
          border: 2px solid mat-color($primary, 100);
          border-radius: 5px;
          padding: 10px 10px;
          margin-top: 10px;
          margin-bottom: 20px;
          font-size: 0.9em;

          span {
            display: flex;
            flex: auto;
            margin-right: 15px;
            align-items: flex-end;
          }

          .mat-progress-bar {
            padding: 5px;
            margin: 0 10px;
          }
        }
      }

      .mat-card-content {
        // .mat-tab-label {
        //   background: #BDBDBD;
        //   border-radius: 10px 10px 0px 0px;
        //   margin-right: 10px;
        //   height: 30px !important;
        //   padding: 0;
        //   font-size: 1.1em;
        // }

        // .mat-tab-label-active {
        //   opacity: 1 !important;
        //   background-color: mat-color($primary);
        //   color: white;
        // }

        .example-small-box {
          display: flex;
          align-items: center;
          justify-content: center;
          background: white;

          .table-filters-header {
            width: 100%;
            background-color: white;
            border: 1px solid #eaf0fb;

            .table-top-icons {
              mat-icon {
                padding: 5px;
              }

              mat-icon:hover {
                cursor: pointer;
                color: mat-color($warn);
              }
            }
          }
          .example-container {
            width: 100%;
            margin-right: 10px;
            margin-left: 10px;
            form {
              padding-left: 10px;
              padding-right: 10px;
              overflow-x: scroll;

              span {
                display: flex;
                flex: auto;
                margin-right: 10px;
                align-items: flex-end;
              }
            }

            .label-height {
              line-height: 45px;
            }
            .items-row {
              display: flex;
              flex-flow: row wrap;

              .item {
                // width: 110px;
                // margin: 0 5px;
                label {
                  width: 110px;
                  margin-right: 5px;
                }
                .y-n-dropdown {
                  width: 120px;
                }
                .textBox {
                  width: 100px;
                }
                .f-dropdown {
                  width: 140px;
                }
              }
            }
          }
        }
      }

      // .mat-form-field-flex > .mat-form-field-infix {
      //   padding: 0.4em 0px !important;
      //   height: 15px;
      // }

      // .mat-form-field-label-wrapper {
      //   top: -1.5em;
      // }
      // .mat-form-field-wrapper {
      //   padding-bottom: 0.9em;
      // }

      // .mat-form-field-appearance-outline.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label {
      //   transform: translateY(-1.1em) scale(0.75);
      //   width: 133.33333%;
      // }

      .demographics-Grid {
        .ag-body-viewport.ag-layout-auto-height .ag-center-cols-clipper,
        .ag-body-viewport.ag-layout-auto-height .ag-center-cols-container {
          min-height: 30px;
          width: 100%;
        }
        .ag-overlay-no-rows-wrapper.ag-layout-auto-height {
          padding-top: 0px;
          padding-bottom: 24px;
          align-items: flex-end;
        }
      }
      .verifyCheck {
        text-align: left;
        color: red;
        text-decoration: bold;
      }
      .red-label {
        color: red;
      }
      .green-label {
        color: green;
      }
      .disableField {
        color: gray;
      }
      section {
        margin-top: 15px;
      }

      mat-form-field {
        margin-right: 15px;
      }

      // .saveButton {
      //   width: 85%;
      //   padding-left: 5px;
      //   display: inline-block;
      // }

      // .clearButton {
      //   padding-right: 10px;
      //   display: inline-block;
      // }
      // .previousButton {
      //   display: inline-block;
      // }
      // .nextButton {
      //   padding-left: 10px;
      //   display: inline-block;
      // }

      .content-sub-actions {
        order: 3;
        font-size: 2.9em;
        line-height: 20px;
        cursor: pointer;
      }

      .smallTextBox100 {
        width: 110px;
      }
      .smallDropdown150 {
        width: 150px;
      }
    }
  }
}
